
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

Quick compile fix for i386-only change (which interacts with UML since we
include headers from include/asm-$(SUBARCH)), which keeps the old behaviour
and hence should cause no problems.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-um/signal.h |    3 +++
 1 files changed, 3 insertions(+)

diff -puN include/asm-um/signal.h~uml-fix-compile include/asm-um/signal.h
--- 25/include/asm-um/signal.h~uml-fix-compile	2005-03-23 01:20:21.000000000 -0800
+++ 25-akpm/include/asm-um/signal.h	2005-03-23 01:20:21.000000000 -0800
@@ -11,6 +11,9 @@
 #define do_signal do_signal_renamed
 #include "asm/arch/signal.h"
 #undef do_signal
+#undef ptrace_signal_deliver
+
+#define ptrace_signal_deliver(regs, cookie) do {} while(0)
 
 #endif
 
_
